Voicemail message configuration and voicemail_message_left end call reason

You can now configure your agent to leave a voicemail message when it detects voicemail, instead of hanging up. The new voicemail_message object on the assistant endpoints supports two modes:

FieldDescription
enabledWhether voicemail message leaving is enabled
modeexact_message (speak a fixed message) or prompt (generate from a prompt)
exact_messageThe exact message to leave on the voicemail
promptA prompt used to generate the voicemail message

When the agent successfully leaves a voicemail, the call status is left_voicemail and the end call reason is voicemail_message_left.

Note: Enabling voicemail_message requires greeting_message_mode to be set to human. Voicemail detection relies on the agent listening for the initial speaker to determine if it is a human or a voicemail machine.

Updated endpoints:

EndpointTitle
POST /assistantsCreate an agent
PUT /assistants/{model_id}Update an agent
GET /assistants/{model_id}Get an agent

For more details, see the Call Configuration documentation.